require("es6-shim");

var gaze = require("gaze");
var exec = require("child_process").exec;
var moment = require("moment");

var whitelist = [];
var blacklist = ["edison.js", "watch.js", "send.sh"];

gaze(["lib/*.js", "eg/*.js"], { mode: "poll" }, function() {
  this.on("changed", function(file) {
    var relative = file.replace(process.cwd() + "/", "");

    if (relative.includes("node_modules")) {
      return;
    }
    if (whitelist.length && whitelist.indexOf(relative) === -1) {
      return;
    }

    if (blacklist.length && blacklist.indexOf(relative) !== -1) {
      return;
    }

    exec("./send.sh " + relative, function(err, result) {
      if (err) {
        console.log("Error: ", err);
        return;
      }
      console.log("%s @ %s", relative, moment().format("hh:mm:ss"));
    });
  });
});
